import { mochaRun } from '../../../util/helpers.js';
import { ForumTest } from '../forum.test-util.js';
import { Client } from '../../../classes/dao/client.js';

describe('Forum', function tests() {
  this.timeout(0);

  const forumTest = new ForumTest({ displayAuthors: false });
  let client;

  before(async () => {
    await forumTest.setup();
    await forumTest.newExpert();
    await forumTest.newExpert();

    client = new Client(forumTest.dao, forumTest.experts[0]);
  });

  it('Expert can run a client', async () => {
    client.should.not.be.undefined;
    client.dao.should.equal(forumTest.dao);
    client.expert.should.equal(forumTest.experts[0]);
  });
});

mochaRun();
